AlignmentId (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class AlignmentId

    java.lang.Object
      fr.inrialpes.exmo.align.service.Message
          fr.inrialpes.exmo.align.service.Success
              fr.inrialpes.exmo.align.service.AlignmentId

    public class AlignmentId

extends Success

Contains the messages that should be sent according to the protocol

Field Summary
`(package private) String` | `pretty`

Fields inherited from class fr.inrialpes.exmo.align.service.Message
`content, inReplyTo, parameters, receiver, sender, surrogate`

Constructor Summary
`AlignmentId(int surr, Message rep, String from, String to, String cont, Properties param)`
`AlignmentId(int surr, Message rep, String from, String to, String cont, Properties param, String pretty)`

Method Summary
`String` | `getPretty(String alid)`
`String` | `HTMLRESTString()`
`String` | `HTMLString()`
`String` | `RESTString()`

Methods inherited from class fr.inrialpes.exmo.align.service.Success
`SOAPString`

Methods inherited from class fr.inrialpes.exmo.align.service.Message
`getContent, getId, getInReplyTo, getParameters, getReceiver, getSender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pretty

    String pretty

Constructor Detail

### AlignmentId

    public AlignmentId(int surr,
                       Message rep,
                       String from,
                       String to,
                       String cont,
                       Properties param)

### AlignmentId

    public AlignmentId(int surr,
                       Message rep,
                       String from,
                       String to,
                       String cont,
                       Properties param,
                       String pretty)

Method Detail

### getPretty

    public String getPretty(String alid)

### HTMLString

    public String HTMLString()

  Overrides:
    `HTMLString` in class `Message`

### HTMLRESTString

    public String HTMLRESTString()

  Overrides:
    `HTMLRESTString` in class `Message`

### RESTString

    public String RESTString()

  Overrides:
    `RESTString` in class `Success`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010